using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using UnityEngine;

public class URLReader : MonoBehaviour
{
    [DllImport("__Internal")]
    private static extern string GetURLFromPage();

    [DllImport("__Internal")]
    private static extern string GetQueryParam(string paramId);

    public string ReadQueryParam(string paramId)
    {
        return GetQueryParam(paramId);
    }

    public string ReadURL()
    {
        return GetURLFromPage();
    }
}
